Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.web.sitemesh
Class GrailsTokenizedHTMLPage

    java.lang.Object
      com.opensymphony.module.sitemesh.parser.AbstractPage
          com.opensymphony.module.sitemesh.parser.AbstractHTMLPage
              com.opensymphony.module.sitemesh.parser.TokenizedHTMLPage
                  org.codehaus.groovy.grails.web.sitemesh.GrailsTokenizedHTMLPage

All Implemented Interfaces:
  com.opensymphony.module.sitemesh.html.rules.PageBuilder, com.opensymphony.module.sitemesh.HTMLPage, com.opensymphony.module.sitemesh.Page

    public class GrailsTokenizedHTMLPage

extends com.opensymphony.module.sitemesh.parser.TokenizedHTMLPage

Field Summary

Fields inherited from class com.opensymphony.module.sitemesh.parser.AbstractPage
`pageData`

Constructor Summary
`GrailsTokenizedHTMLPage(char[] original, com.opensymphony.module.sitemesh.html.util.CharArray body, com.opensymphony.module.sitemesh.html.util.CharArray head)`

Method Summary
`void` | `writeBody(Writer out)`
`void` | `writeHead(Writer out)`

Methods inherited from class com.opensymphony.module.sitemesh.parser.TokenizedHTMLPage
`getBody, getHead, getPage`

Methods inherited from class com.opensymphony.module.sitemesh.parser.AbstractHTMLPage
`isFrameSet, setFrameSet`

Methods inherited from class com.opensymphony.module.sitemesh.parser.AbstractPage
`addProperty, getBooleanProperty, getContentLength, getIntProperty, getLongProperty, getProperties, getProperty, getPropertyKeys, getRequest, getTitle, isPropertySet, noNull, setRequest, writePage`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.opensymphony.module.sitemesh.html.rules.PageBuilder
`addProperty`

Methods inherited from interface com.opensymphony.module.sitemesh.Page
`addProperty, getBooleanProperty, getContentLength, getIntProperty, getLongProperty, getProperties, getProperty, getPropertyKeys, getRequest, getTitle, isPropertySet, setRequest, writePage`

Constructor Detail

### GrailsTokenizedHTMLPage

    public GrailsTokenizedHTMLPage(char[] original,
                                   com.opensymphony.module.sitemesh.html.util.CharArray body,
                                   com.opensymphony.module.sitemesh.html.util.CharArray head)

Method Detail

### writeHead

    public void writeHead(Writer out)
                   throws IOException

  Specified by:
    `writeHead` in interface `com.opensymphony.module.sitemesh.HTMLPage`
  Overrides:
    `writeHead` in class `com.opensymphony.module.sitemesh.parser.TokenizedHTMLPage`
  Throws:
    `IOException`

### writeBody

    public void writeBody(Writer out)
                   throws IOException

  Specified by:
    `writeBody` in interface `com.opensymphony.module.sitemesh.Page`
  Overrides:
    `writeBody` in class `com.opensymphony.module.sitemesh.parser.TokenizedHTMLPage`
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2005-2009 The Grails project